sensorfw: Tap Class Reference

sensorfw

Public Member Functions | Properties | Friends | List of all members
Tap Class Reference

QObject facade for TapData. More...

`#include <tap.h>`

Inheritance diagram for Tap:

## Public Member Functions
| Tap ()
| Default constructor. More...
| Tap (const TapData &tapData)
| Constructor. More...
| Tap (const Tap &tap)
| Copy constructor. More...
const TapData & | tapData () const
| Returns the contained TapData. More...
TapData::Direction | direction () const
| Returns tap direction. More...
TapData::Type | type () const
| Returns tap type. More...

## Properties
int | direction
int | type

## Friends
const QDBusArgument & | operator>> (const QDBusArgument &argument, Tap &tap)
| Unmarshall Tap data from the D-Bus argument. More...

## Detailed Description

QObject facade for TapData.

Definition at line 36 of file tap.h.

## Constructor & Destructor Documentation

## ◆ Tap() [1/3]

Tap::Tap | ( |  | ) |
| inline

Default constructor.

Definition at line 47 of file tap.h.

## ◆ Tap() [2/3]

Tap::Tap | ( | const TapData & | tapData | ) |

Constructor.

Parameters

  tapData | Source object.

## ◆ Tap() [3/3]

Tap::Tap | ( | const Tap & | tap | ) |

Copy constructor.

Parameters

  tap | Source object.

## Member Function Documentation

## ◆ direction()

TapData::Direction Tap::direction | ( |  | ) | const
| inline

Returns tap direction.

Returns
  Tap direction

Definition at line 73 of file tap.h.

## ◆ tapData()

const TapData& Tap::tapData | ( |  | ) | const
| inline

Returns the contained TapData.

Returns
  TapData

Definition at line 67 of file tap.h.

## ◆ type()

TapData::Type Tap::type | ( |  | ) | const
| inline

Returns tap type.

Returns
  Tap type.

Definition at line 79 of file tap.h.

## Friends And Related Function Documentation

## ◆ operator>>

const QDBusArgument& operator>> | ( | const QDBusArgument & | argument,
|  | Tap & | tap
| ) |  |
| friend

Unmarshall Tap data from the D-Bus argument.

Parameters

  argument | dbus argument.
  tap | unmarshalled data.

Returns
  dbus argument.

Definition at line 111 of file tap.h.

## Property Documentation

## ◆ direction

int Tap::direction
| read

Definition at line 111 of file tap.h.

## ◆ type

int Tap::type
| read

Definition at line 111 of file tap.h.

The documentation for this class was generated from the following file:

- datatypes/tap.h